=== modified file 'plugin/hello_world/hello_world.cc'
--- plugin/hello_world/hello_world.cc	2008-07-18 21:53:31 +0000
+++ plugin/hello_world/hello_world.cc	2008-07-20 07:36:57 +0000
@@ -21,7 +21,7 @@
 #include <my_global.h>
 #include <my_dir.h>
 
-my_bool udf_init_hello_world(UDF_INIT *initid, UDF_ARGS *args, char *message)
+bool udf_init_hello_world(UDF_INIT *initid, UDF_ARGS *args, char *message)
 {
   /* this is how to fail */
   if (args->arg_count != 0)  {

=== modified file 'server/sql_base.cc'
--- server/sql_base.cc	2008-07-20 07:25:05 +0000
+++ server/sql_base.cc	2008-07-20 07:36:57 +0000
@@ -3675,7 +3675,7 @@
   {
     handler::Table_flags flags_some_set= handler::Table_flags();
     handler::Table_flags flags_all_set= ~handler::Table_flags();
-    my_bool multi_engine= false;
+    bool multi_engine= false;
     void* prev_ht= NULL;
     for (TABLE_LIST *table= tables; table; table= table->next_global)
     {

=== modified file 'server/sql_binlog.cc'
--- server/sql_binlog.cc	2008-07-10 02:59:13 +0000
+++ server/sql_binlog.cc	2008-07-20 07:36:57 +0000
@@ -43,7 +43,7 @@
     one here.  In this case, the first event we read must be a
     Format_description_event.
   */
-  my_bool have_fd_event= true;
+  bool have_fd_event= true;
   if (!thd->rli_fake)
   {
     thd->rli_fake= new Relay_log_info;

=== modified file 'server/sql_class.cc'
--- server/sql_class.cc	2008-07-19 07:02:30 +0000
+++ server/sql_class.cc	2008-07-20 07:36:57 +0000
@@ -67,7 +67,7 @@
 ****************************************************************************/
 
 extern "C" uchar *get_var_key(user_var_entry *entry, size_t *length,
-                              my_bool not_used __attribute__((unused)))
+                              bool not_used __attribute__((unused)))
 {
   *length= entry->name.length;
   return (uchar*) entry->name.str;
@@ -2419,7 +2419,7 @@
 pthread_mutex_t LOCK_xid_cache;
 HASH xid_cache;
 
-extern "C" uchar *xid_get_hash_key(const uchar *, size_t *, my_bool);
+extern "C" uchar *xid_get_hash_key(const uchar *, size_t *, bool);
 extern "C" void xid_free_hash(void *);
 
 uchar *xid_get_hash_key(const uchar *ptr, size_t *length,
@@ -2463,7 +2463,7 @@
 bool xid_cache_insert(XID *xid, enum xa_states xa_state)
 {
   XID_STATE *xs;
-  my_bool res;
+  bool res;
   pthread_mutex_lock(&LOCK_xid_cache);
   if (hash_search(&xid_cache, xid->key(), xid->key_length()))
     res=0;
@@ -2486,7 +2486,7 @@
   pthread_mutex_lock(&LOCK_xid_cache);
   assert(hash_search(&xid_cache, xid_state->xid.key(),
                           xid_state->xid.key_length())==0);
-  my_bool res=my_hash_insert(&xid_cache, (uchar*)xid_state);
+  bool res=my_hash_insert(&xid_cache, (uchar*)xid_state);
   pthread_mutex_unlock(&LOCK_xid_cache);
   return res;
 }

=== modified file 'server/sql_connect.cc'
--- server/sql_connect.cc	2008-07-10 03:16:08 +0000
+++ server/sql_connect.cc	2008-07-20 07:36:57 +0000
@@ -91,7 +91,7 @@
   */
   thd->reset_db(NULL, 0);
 
-  my_bool opt_secure_auth_local;
+  bool opt_secure_auth_local;
   pthread_mutex_lock(&LOCK_global_system_variables);
   opt_secure_auth_local= opt_secure_auth;
   pthread_mutex_unlock(&LOCK_global_system_variables);
@@ -174,7 +174,7 @@
 */
 
 extern "C" uchar *get_key_conn(user_conn *buff, size_t *length,
-			      my_bool not_used __attribute__((unused)))
+                               bool not_used __attribute__((unused)))
 {
   *length= buff->len;
   return (uchar*) buff->user;

=== modified file 'server/sql_insert.cc'
--- server/sql_insert.cc	2008-07-15 08:32:54 +0000
+++ server/sql_insert.cc	2008-07-20 07:36:57 +0000
@@ -163,7 +163,7 @@
                                table_map *map __attribute__((__unused__)))
 {
   TABLE *table= insert_table_list->table;
-  my_bool timestamp_mark= false;
+  bool timestamp_mark= false;
 
   if (table->timestamp_field)
   {

=== modified file 'server/sql_parse.cc'
--- server/sql_parse.cc	2008-07-20 07:25:05 +0000
+++ server/sql_parse.cc	2008-07-20 07:36:57 +0000
@@ -453,7 +453,7 @@
     @retval false The statement isn't updating any relevant tables.
 */
 
-static my_bool deny_updates_if_read_only_option(THD *thd,
+static bool deny_updates_if_read_only_option(THD *thd,
                                                 TABLE_LIST *all_tables)
 {
   if (!opt_readonly)
@@ -468,20 +468,20 @@
   if (lex->sql_command == SQLCOM_UPDATE_MULTI)
     return(false);
 
-  const my_bool create_temp_tables= 
+  const bool create_temp_tables= 
     (lex->sql_command == SQLCOM_CREATE_TABLE) &&
     (lex->create_info.options & HA_LEX_CREATE_TMP_TABLE);
 
-  const my_bool drop_temp_tables= 
+  const bool drop_temp_tables= 
     (lex->sql_command == SQLCOM_DROP_TABLE) &&
     lex->drop_temporary;
 
-  const my_bool update_real_tables=
+  const bool update_real_tables=
     some_non_temp_table_to_be_updated(thd, all_tables) &&
     !(create_temp_tables || drop_temp_tables);
 
 
-  const my_bool create_or_drop_databases=
+  const bool create_or_drop_databases=
     (lex->sql_command == SQLCOM_CREATE_DB) ||
     (lex->sql_command == SQLCOM_DROP_DB);
 

=== modified file 'server/sql_plugin.cc'
--- server/sql_plugin.cc	2008-07-20 03:04:46 +0000
+++ server/sql_plugin.cc	2008-07-20 07:36:57 +0000
@@ -1537,7 +1537,7 @@
                              struct st_mysql_sys_var *var __attribute__((__unused__)),
                              void *tgt, const void *save)
 {
-  *(my_bool *) tgt= *(int *) save ? 1 : 0;
+  *(bool *) tgt= *(int *) save ? 1 : 0;
 }
 
 
@@ -1675,7 +1675,7 @@
 
   switch (flags & PLUGIN_VAR_TYPEMASK) {
   case PLUGIN_VAR_BOOL:
-    size= sizeof(my_bool);
+    size= sizeof(bool);
     break;
   case PLUGIN_VAR_INT:
     size= sizeof(int);

=== modified file 'server/sql_table.cc'
--- server/sql_table.cc	2008-07-20 07:25:05 +0000
+++ server/sql_table.cc	2008-07-20 07:36:57 +0000
@@ -3224,7 +3224,7 @@
                                    enum tablespace_op_type tablespace_op)
 {
   TABLE *table;
-  my_bool discard;
+  bool discard;
   int error;
 
   /*

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-07-18 22:41:33 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-07-20 07:36:57 +0000
@@ -1108,7 +1108,7 @@
 Thus, the 'rank' in sync0sync.h of the MySQL query cache mutex is above
 the InnoDB kernel mutex. */
 static
-my_bool
+bool
 innobase_query_caching_of_table_permitted(
 /*======================================*/
 				/* out: TRUE if permitted, FALSE if not;

